﻿<%@ Page EnableViewState="false" Language="C#" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

        <script type="text/javascript">
            <!--
            var tableView = null;
            function pageLoad(sender, args) {
                tableView = $find("<%= RadGrid1.ClientID %>").get_masterTableView();
                $find("<%= RadAjaxLoadingPanel1.ClientID %>").show(tableView.get_id());
                WebService.GetAtomData(0, tableView.get_pageSize(), updateGrid);
            }

            function RadGrid1_Command(sender, args) {
                args.set_cancel(true);

                $get(String.format("{0}_GridData", "<%= RadGrid1.ClientID %>")).scrollTop = 0;
                $find("<%= RadAjaxLoadingPanel1.ClientID %>").show(tableView.get_id());

                WebService.GetAtomData(tableView.get_currentPageIndex() * tableView.get_pageSize(),
                tableView.get_pageSize(), updateGrid);
            }

            function updateGrid(result) {
                tableView.set_dataSource(result);
                tableView.dataBind();

                $find("<%= RadAjaxLoadingPanel1.ClientID %>").hide(tableView.get_id());

                WebService.GetAtomCount(function(result) { tableView.set_virtualItemCount(result); });
            }

            function RadGrid1_RowDataBound(sender, args) {
                var item = args.get_item();
                var dataItem = args.get_dataItem();
                var cell = item.get_cell("MyColumn");

                var titleLink = getElement(cell, "TitleLink");
                titleLink.innerHTML = dataItem["Title"];
                titleLink.href = dataItem["Url"];

                getElement(cell, "ContentPanel").innerHTML = dataItem["Content"];
                getElement(cell, "AuthorLabel").innerHTML = dataItem["Author"];
                getElement(cell, "DateLabel").innerHTML = String.format(", {0:MM/dd/yyyy hh:mm}", dataItem["Date"]);

            }

            function getElement(parent, id) {
                var children = parent.getElementsByTagName("*");
                for (var i = 0, l = children.length; i < l; i++) {
                    var child = children[i];
                    if (child.id.endsWith(id))
                        return child;
                }

                return null;
            }
            -->
        </script>

    </telerik:RadCodeBlock>
    <style type="text/css">
        html, body, form {width:100%; height:100%; margin:0px; padding:0px; overflow:hidden;}
    </style>
</head>
<body>
    <form id="Form1" runat="server">
        <telerik:RadScriptManager ID="ScriptManager1" runat="server">
            <Services>
                <asp:ServiceReference Path="~/WebService.asmx" />
            </Services>
        </telerik:RadScriptManager>
        <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
        <telerik:RadGrid ID="RadGrid1" Skin="Office2007" Width="100%" Height="100%" ShowHeader="false"
            AllowPaging="true" PageSize="3" runat="server">
            <MasterTableView>
                <Columns>
                    <telerik:GridTemplateColumn UniqueName="MyColumn" HeaderStyle-Width="100%" />
                </Columns>
                <ItemTemplate>
                    <div style="padding: 20px;">
                        <h3>
                            <asp:HyperLink ID="TitleLink" Target="_blank" runat="server" /></h3>
                        <br />
                        <asp:Panel ID="ContentPanel" runat="server" />
                        <br />
                        <b>
                            <asp:Label ID="AuthorLabel" runat="server" />
                            <asp:Label ID="DateLabel" runat="server" />
                        </b>
                    </div>
                </ItemTemplate>
            </MasterTableView>
            <ClientSettings>
                 <Scrolling AllowScroll="true" UseStaticHeaders="true" />
                <ClientEvents OnCommand="RadGrid1_Command" OnRowDataBound="RadGrid1_RowDataBound" />
            </ClientSettings>
            <PagerStyle Position="Top" />
        </telerik:RadGrid>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
            <img src="loading.gif" style="margin-top:400px;" alt="loading" />
        </telerik:RadAjaxLoadingPanel>
    </form>
</body>
</html>
